> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取代码仓库索引状态

> 获取指定组织的代码仓库索引状态。

此接口会返回与指定组织关联的所有代码仓库的当前索引状态。响应中包含有关索引任务、提交 SHA 以及每个代码仓库时间戳等信息。


## OpenAPI

````yaml zh/v2-openapi.yaml GET /beta/v2/enterprise/repositories/{org_id}
openapi: 3.1.0
info:
  description: 供企业管理员使用的 Devin v2 API（个人 API key）
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /beta/v2/enterprise/repositories/{org_id}:
    get:
      tags:
        - repositories
      summary: 获取任务状态
      operationId: get_job_status_beta_v2_enterprise_repositories__org_id__get
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ReposResponse'
                title: >-
                  Response Get Job Status Beta V2 Enterprise Repositories  Org
                  Id  Get
                type: array
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    ReposResponse:
      properties:
        indexing_enabled:
          title: Indexing Enabled
          type: boolean
        latest_completed_search_index_job:
          anyOf:
            - $ref: '#/components/schemas/RepoIndexJobResponse'
            - type: 'null'
        latest_completed_wiki_index_job:
          anyOf:
            - $ref: '#/components/schemas/RepoIndexJobResponse'
            - type: 'null'
        latest_index:
          anyOf:
            - $ref: '#/components/schemas/RepoIndexJobResponse'
            - type: 'null'
        name:
          title: Name
          type: string
      required:
        - name
        - indexing_enabled
        - latest_index
        - latest_completed_search_index_job
        - latest_completed_wiki_index_job
      title: ReposResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RepoIndexJobResponse:
      properties:
        commit:
          title: Commit
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        job_id:
          title: Job Id
          type: string
        status:
          enum:
            - failed
            - completed
            - in_progress
          title: Status
          type: string
      required:
        - created_at
        - commit
        - status
        - job_id
      title: RepoIndexJobResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 仅供 Enterprise 管理员使用的个人 API Key（apk_user_*）
      scheme: bearer
      type: http

````